corda / net.corda.node.services.transactions / RaftValidatingNotaryService

# RaftValidatingNotaryService

`class RaftValidatingNotaryService : NotaryService`

A validating notary service operated by a group of mutually trusting parties, uses the Raft algorithm to achieve consensus.

### Constructors

<init> | `RaftValidatingNotaryService(services: ServiceHubInternal, timestampChecker: TimestampChecker, uniquenessProvider: RaftUniquenessProvider)` A validating notary service operated by a group of mutually trusting parties, uses the Raft algorithm to achieve consensus.

### Properties

timestampChecker | `val timestampChecker: TimestampChecker`
uniquenessProvider | `val uniquenessProvider: RaftUniquenessProvider`

### Functions

createFlow | `fun createFlow(otherParty: Party): ValidatingNotaryFlow` Implement a factory that specifies the transaction commit flow for the notary service to use

### Companion Object Properties

type | `val type: ServiceType`